unless hideFooter
    footer.sidepadding
        p © 2020-2021 NTU SCSE. Version: #{appver}#{apprev}. Environment: #{appenv}

// Bootstrap
script(src='https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js', integrity='sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN', crossorigin='anonymous')
script(src='https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js', integrity='sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV', crossorigin='anonymous')

// MathJax
script(src='https://polyfill.io/v3/polyfill.min.js?features=es6')
script(src='https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js', id='MathJax-script', async=true, onload="MathJax.typesetPromise()")

script.
    $.fn.removeText = function () {this.each(function () {let $cont = $(this).contents();$cont.each(function () {let $this = $(this);if (this.nodeType === 3) $this.remove(); else if (this.nodeType === 1) $this.removeText();});});}
